Bug 873914 - [abrt]: WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:7998 brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]()
[abrt]: WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:7998 brcms...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Greene
Fedora Extras Quality Assurance
abrt_hash:6ec5e916538d5673021c76f6567...
:
: 799168 861022 878860 904239 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-06 18:42 EST by Marcus Harrison
Modified: 2013-05-28 10:38 EDT (History)
34 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 10:38:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jogreene: needinfo+


Attachments (Terms of Use)
/var/log messages for Feb 07, 2013 (106.19 KB, text/plain)
2013-04-20 14:47 EDT, Greta Watson
no flags Details
wpa-supplicant log covering Dec 3, 2012 through Feb. 8, 2013 (30.98 KB, text/plain)
2013-04-20 14:49 EDT, Greta Watson
no flags Details

  None (edit)
Description Marcus Harrison 2012-11-06 18:42:39 EST
Description of problem:
Putting a laptop to sleep while connected to a secure wireless network, then waking it up again, caused the bug.

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.3-1.fc17.x86_64 root=/dev/mapper/vg_lunacy--grown--up-lv_root ro rd.md=0 rd.lvm.lv=vg_lunacy-grown-up/lv_swap rd.lvm.lv=vg_lunacy-grown-up/lv_root SYSFONT=True KEYTABLE=uk rd.luks=0 LANG=en_US.UTF-8 rd.dm=0 rhgb quiet
kernel:         3.6.3-1.fc17.x86_64

backtrace:
:WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:7998 brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]()
:Hardware name: RV415/RV515/E3415
:Modules linked in: fuse lockd sunrpc rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc btusb snd_timer arc4 brcmsmac cordic uvcvideo brcmutil mac80211 videobuf2_vmalloc videobuf2_memops videobuf2_core videodev cfg80211 snd soundcore media bluetooth samsung_laptop r8169 sp5100_tco mii bcma rfkill kvm_amd k10temp i2c_piix4 kvm microcode uinput binfmt_misc video radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core
:Pid: 805, comm: wpa_supplicant Not tainted 3.6.3-1.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8105b81f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8105b87a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa03b6ca9>] brcms_c_wait_for_tx_completion+0x99/0xb0 [brcmsmac]
: [<ffffffffa03a96ab>] brcms_ops_flush+0x3b/0x60 [brcmsmac]
: [<ffffffffa0346822>] ieee80211_set_disassoc+0x2d2/0x4c0 [mac80211]
: [<ffffffffa034ab44>] ieee80211_mgd_deauth+0x174/0x180 [mac80211]
: [<ffffffffa0320128>] ieee80211_deauth+0x18/0x20 [mac80211]
: [<ffffffffa02f4284>] cfg80211_mlme_deauth+0x84/0xb0 [cfg80211]
: [<ffffffffa02e4263>] nl80211_deauthenticate+0xb3/0xf0 [cfg80211]
: [<ffffffff81539900>] genl_rcv_msg+0x250/0x2d0
: [<ffffffff815396b0>] ? genl_rcv+0x40/0x40
: [<ffffffff81539221>] netlink_rcv_skb+0xa1/0xb0
: [<ffffffff81539695>] genl_rcv+0x25/0x40
: [<ffffffff81538b7d>] netlink_unicast+0x19d/0x220
: [<ffffffff81538ed8>] netlink_sendmsg+0x2d8/0x390
: [<ffffffff814f831c>] sock_sendmsg+0xbc/0xf0
: [<ffffffff8112c8f3>] ? filemap_fault+0x113/0x480
: [<ffffffff811a1b90>] ? __pollwait+0xf0/0xf0
: [<ffffffff81188cff>] ? mem_cgroup_update_page_stat+0x1f/0x60
: [<ffffffff814f86fc>] __sys_sendmsg+0x3ac/0x3c0
: [<ffffffff811549d9>] ? handle_mm_fault+0x259/0x320
: [<ffffffff81620b3c>] ? do_page_fault+0x1bc/0x4b0
: [<ffffffff810d7b2c>] ? __audit_syscall_exit+0x3ec/0x450
: [<ffffffff814fa599>] sys_sendmsg+0x49/0x90
: [<ffffffff816250a9>] system_call_fastpath+0x16/0x1b

Potential duplicate bug: 838241
Comment 1 Marcus Harrison 2012-11-09 07:39:56 EST
This bug occured after resuming my laptop from Suspend to RAM. Other than that, I can't say for certain what has caused it.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 bs.scub 2012-11-15 03:22:29 EST
started from hibernating state

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Dave Jones 2013-02-07 11:36:10 EST
*** Bug 878860 has been marked as a duplicate of this bug. ***
Comment 4 Dave Jones 2013-02-07 11:36:29 EST
*** Bug 799168 has been marked as a duplicate of this bug. ***
Comment 5 Dave Jones 2013-02-07 11:36:41 EST
*** Bug 861022 has been marked as a duplicate of this bug. ***
Comment 6 Dave Jones 2013-02-07 11:37:30 EST
*** Bug 904239 has been marked as a duplicate of this bug. ***
Comment 7 Victor Schrader 2013-02-14 14:09:26 EST
change in vm setting for apic

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Todd 2013-04-03 02:08:09 EDT
Network crashes other apps on network usage.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 John Greene 2013-04-12 08:04:18 EDT
Can someone reproduce this and upload some logs taken during this time, namely,
/var/log/messages or dmesg, and if possible the /var/log/wpa_supplicant.log.

Can anyone reproduce this *without* suspend / resume being part of the process?
Comment 10 Greta Watson 2013-04-20 14:47:53 EDT
Created attachment 738084 [details]
/var/log messages for Feb 07, 2013

This log, starting with boot up on Feb. 7, seems to show an instance of the warning message occurring without a suspend/resume.
Comment 11 Greta Watson 2013-04-20 14:49:10 EDT
Created attachment 738085 [details]
wpa-supplicant log covering Dec 3, 2012 through Feb. 8, 2013
Comment 12 Greta Watson 2013-04-20 15:04:59 EDT
Kernel was 3.7.3 when I got the message on Feb. 7, 2013.  Fedora 17.  KDE.

Today, the broadcom wireless adapter is having other problems.  I cannot connect wirelessly.  The system asks for the password, and it is entered correctly.  A couple minutes later, the system asks for the password, and it is re-entered correctly.  A couple minutes later, ....  And so it goes forever, without connecting to the internet.

I have obtained and am using an external wireless adapter which uses Ralink chip rt5370.  So far, it has not generated the message.
Comment 13 Greta Watson 2013-04-22 11:37:05 EDT
The internal wireless card, using the broadcom chip, appears to be non-functional.  I have blacklisted the driver in /etc/modprobe.d/blacklist.conf (blacklist brcmsmac), deleted the wireless profile from Network Manager, inserted a usb wireless adapter, and re-created the wireless profile in Network manager.  This allows me to connect wirelessly, but makes it impossible for me to provide any more information on this bug.

I have been unable to recreate this bug using the usb wireless adapter.  It uses the rt2800usb driver for the Ralink 5370 chip.
Comment 14 John Greene 2013-04-23 10:01:37 EDT
Gretta: 

Are you using the bluetooth part of this device?  Might be good to disable it if so and see if that helps any.

Also, I don't see what kind of machine this is:  Make / model?

I see this in the logs, looking into it now.  Might have some bearing on power managment might not, but having the make/model number will help:


Feb  7 17:03:48 peewee kernel: [   19.713578] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
Feb  7 17:03:48 peewee kernel: [   19.761376] ACPI Warning: 0x0000000000000828-0x000000000000082f SystemIO conflicts with Region \PMIO 1 (20120913/utaddress-251)
Feb  7 17:03:48 peewee kernel: [   19.761395] ACPI Warning: 0x0000000000000828-0x000000000000082f SystemIO conflicts with Region \_SB_.PCI0.SBRG.IELK.GPSE 2 (20120913/utaddress-251)
Feb  7 17:03:48 peewee kernel: [   19.761406] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
Feb  7 17:03:48 peewee kernel: [   19.761414] ACPI Warning: 0x00000000000004b0-0x00000000000004bf SystemIO conflicts with Region \_SB_.PCI0.SBRG.GPBX 1 (20120913/utaddress-251)
Feb  7 17:03:48 peewee kernel: [   19.761425] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
Feb  7 17:03:48 peewee kernel: [   19.761430] ACPI Warning: 0x0000000000000480-0x00000000000004af SystemIO conflicts with Region \_SB_.PCI0.SBRG.GPBX 1 (20120913/utaddress-251)
Feb  7 17:03:48 peewee kernel: [   19.761440] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
Feb  7 17:03:48 peewee kernel: [   19.761444] lpc_ich: Resource conflict(s) found affecting gpio_ich
Feb  7 17:03:48 peewee kernel: [   20.377584] usbcore: registered new interface driver btusb
Comment 15 Greta Watson 2013-04-23 13:36:04 EDT
Laptop "peewee" is ASUS 1015pem, with Broadcom BCM4313 802.11b/g wireless.
Usually, I use the wireless whenever I turn on the machine, but use bluetooth only occasionally.

I tried the following, after removing the brcmsmac driver from blacklist.conf and removing the external usb wireless.
1.  Reboot and try to connect with the broadcom wireless.
    FAIL:  no connection; repeated request for password.
2.  Reboot, enter BIOS, disable bluetooth, continue booting.
    SUCCEED:  connected properly.
3.  Reboot.
    SUCCEED:  connected properly.
4.  Pressed power button to cause hibernation, then pressed it again to wake.
    FAIL:  repeated request for password.  Won't connect.
5.  Shutdown with cleaning of /tmp, /var/tmp; restart
    SUCCEED:  connected wirelessly
6.  Put machine to sleep using the menu item; pushed power to wake it up.
    SUCCEED:  connected properly.
7.  Hibernate (using command line); wake up.
    FAIL:  repeated request for password.  Won't connect.
8.  Sleep, using menu; wake.
    FAIL:  repeated request for password.  Won't connect.
9.  Reboot
    FAIL:  repeated request for password.  Won't connect.
10. Shutdown; restart
    FAIL:  repeated request for password.  Won't connect.
11. Shutdown, with cleaning of /tmp, /var/tmp; restart.
    SUCCEED:  connected properly.
12. Repeated steps 4-9.
    Result:  same in steps 4-8; reboot from menu caused success.
13. Reboot; enter BIOS; enable bluetooth.
    SUCCEED:  connected wirelessly.

The only conclusions I can reach from this is that hibernating the machine causes a subsequent repeated request for password that won't cease until one or more reboot or shutdown/power up sequences have been done.  Also, since my last test was with bluetooth enabled, bluetooth may not affect this.

In none of the above tests did the WARN message  about brcmsmac appear.
Comment 16 Greta Watson 2013-04-23 23:45:14 EDT
Tried some more testing, variants of the above, with either hibernation or sleep.  The WARN message has not reappeared at all.

Thanks for the suggestion to turn off the bluetooth.  Although I got failures and successes with bluetooth on and with bluetooth off, the testing gave me a better understanding of when the connection problem occurs and how to keep from getting it.  If I get the WARN message again, or if I get different behavior from the broadcom adapter, I will post again on this bug.
Comment 17 John Greene 2013-04-24 09:03:02 EDT
Great testing work, Greta..
I'll check into the BT issue, haven't seen anything in regards to this directly, but I'll look into it some more.

Does this solve your issue?  We can close this issue, and revisit / reopen later or open a new issue if so.
Comment 18 Greta Watson 2013-04-24 10:41:19 EDT
At this point, I cannot recreate the warning message that is the title of this bug, so am fine with this bug being closed.  However, there are other people who have seen this bug.  Is anyone still seeing it, with kernel 3.8.4?

The issue with the broadcom wireless not behaving after hibernation is a different issue, which I will report once I determine if it occurs using wicd as well as Network Manager.  There does not seem to be an existing bug on that.
Comment 19 John Greene 2013-04-26 08:58:26 EDT
Good point Greta.  Glad you are in a better place.  

Anyone else still have issues the above has not fixed?  I'm willing to keep this open if so.
Comment 20 Gennadiy 2013-05-14 12:58:55 EDT
Don't know

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 21 Josh Boyer 2013-05-28 10:38:25 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.